Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.atlassian.bamboo.user
Class AcegiBambooUser

    java.lang.Object
      com.atlassian.bamboo.user.DefaultBambooUser
          com.atlassian.bamboo.user.AcegiBambooUser

All Implemented Interfaces:
  BambooUser

    public class AcegiBambooUser

extends DefaultBambooUser

Field Summary
`static String` | `ADMIN_GROUP`
`static String` | `ROLE_ADMIN`
`static String` | `ROLE_USER`

Constructor Summary
`AcegiBambooUser(User user, BambooUserManager bambooUserManager)`

Method Summary
`GrantedAuthority[]` | `getAuthorities()`
`String` | `getPassword()`
`String` | `getUsername()`
`boolean` | `isAccountNonExpired()`
`boolean` | `isAccountNonLocked()`
`boolean` | `isCredentialsNonExpired()`
`boolean` | `isEnabled()`

Methods inherited from class com.atlassian.bamboo.user.DefaultBambooUser
`equals, getBambooUserManager, getEmail, getFullName, getJabberAddress, getName, getUser, hashCode, setEmail, setFullName, setPassword`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### ADMIN_GROUP

    public static final String ADMIN_GROUP

See Also:
  Constant Field Values

### ROLE_USER

    public static final String ROLE_USER

See Also:
  Constant Field Values

### ROLE_ADMIN

    public static final String ROLE_ADMIN

See Also:
  Constant Field Values

Constructor Detail

### AcegiBambooUser

    public AcegiBambooUser(User user,
                           BambooUserManager bambooUserManager)

Method Detail

### getAuthorities

    public GrantedAuthority[] getAuthorities()

### getPassword

    public String getPassword()

### getUsername

    public String getUsername()

### isAccountNonExpired

    public boolean isAccountNonExpired()

### isAccountNonLocked

    public boolean isAccountNonLocked()

### isCredentialsNonExpired

    public boolean isCredentialsNonExpired()

### isEnabled

    public boolean isEnabled()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2006 Atlassian Software Systems. All Rights Reserved.